[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#570579: xulrunner: please reconsider recommends for GNOME packages

clone 570579 -1
reassign -1 tasksel 2.81
retitle -1 iceweasel is no longer a desktop environment independent browser

(Fairly full quote because of CCs.)

Thanks a lot for your detailed reply Mike.

On Saturday 20 February 2010, Mike Hommey wrote:
> On Fri, Feb 19, 2010 at 10:18:09PM +0100, Frans Pop wrote:
> > But I question if the Recommends of those packages is policy compliant
> > as Recommends should only be used for packages "that would be found
> > together with this one in all but unusual installations" [1].
> > And that's only true for systems running a GNOME desktop environment.
> > For systems running KDE the GNOME packages are not needed and even in
> > a lot of cases very much not desired.
> Except that Iceweasel has various things that break when the gnome
> libraries are not installed, such as icons for libgnomeui, and external
> handlers for libgnomevfs and libgconf (it still does broken things under
> KDE, but it actually works better than without).

I guess for the icon issue you mean #561902? I don't see any problem with 
the search engine dropdown list without libgnomeui-0 installed under KDE.

Can't tell about external handlers without knowing what exactly to try.

I'm unlikely to encounter issues myself as I run Lenny on my desktop 
systems and as I'm only a very light user of iceweasel anyway (only for 
sites that konqueror does not handle correctly).

> The only one that really isn't strictly required in the libdbus-glib
> one.
> > As iceweasel is supposed to be desktop environment independent, I urge
> > you to reconsider this change. IMO the current Recommends make
> > iceweasel unsuitable for default installation.
> > I also feel that for packages like iceweasel integration support for
> > specific desktop environments should always be optional.
> Reality is different from theory. While Iceweasel is supposed to be DE
> independent, it really isn't. Sad reality, but still reality.

That is indeed very sad. One would hope upstreams, especially ones for 
important software such as ice*, would have more clue.

> Now, as I said, there are several things that will break if these
> libraries are not installed (note you can still prove me wrong), but
> there are things we can probably do to make things better:
> - As said above, libdbus-glib-1-2 is not strictly necessary.
> - IIRC, in 1.9.2, upstream switched most gnomevfs uses to gio, which is
>   in glib. That may help making the dependencies lighter.
> - There are patches for better KDE integration in opensuse, but we can't
>   take them as-is.
> The first two above could be worked in the squeeze time-frame. I doubt
> the latter can.
> In any case, dependencies on libgnome2-0, libgnomeui-0 and libgconf2-4
> are here to stay, IMHO. I'd go as far as saying they should be strong
> dependencies, but I allow those people that don't like gnome libraries
> and who want to shoot themselves in the foot to do it.

In that case I personally don't think we can maintain iceweasel's status as 
desktop independent browser for new installations and we'll have to 
consider removing it from the common desktop task in tasksel.
Given that the default browsers for the various desktop environments have 
become much more mature since Sarge, I don't actually see that as a big 
problem. It may even help relieve some of the pressure for CD1.
Possibly we should keep it as the default browser for XFCE and/or LXDE.

Therefore cloning to tasksel for further discussion.

I'm leaving the original report against xulrunner as I personally still do 
consider this whole issue a regression when compared to earlier Debian 
releases, but I appreciate that your hands are tied. I hope that things 
will improve.


Reply to: